%define module  six

%bcond_with test

Name:           python-%{module}
Version:        1.16.0
Release:        %mkrel 4
Summary:        Python 2 and 3 compatibility utilities
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/six/
Source0:        %{pypi_source %{module}}
BuildArch:      noarch

%description
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

%package -n     python3-%{module}
Summary:        Python 2 and 3 compatibility utilities / Python 3 library
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
# For use by selftests:
%if %{with test}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(funcsigs)
%endif
BuildRequires:  python3-pkg-resources
BuildRequires:  tkinter3
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

%prep
%autosetup -n %{module}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%if %{with test}
%check
py.test-%{python3_version} -rfsxX test_six.py
%endif

%files -n python3-%{module}
%doc README.rst documentation/index.rst
%license LICENSE
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/six*


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.16.0-4.mga9
+ Revision: 1822515
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 1.16.0-3.mga9
+ Revision: 1774018
- rebuild for python 3.10

* Sun Feb 06 2022 wally <wally> 1.16.0-2.mga9
+ Revision: 1771866
- rebuild for python3.10

* Sat Jun 26 2021 wally <wally> 1.16.0-1.mga9
+ Revision: 1733874
- new version 1.16.0

* Thu Apr 01 2021 guillomovitch <guillomovitch> 1.15.0-4.mga9
+ Revision: 1712517
- rebuild for python 3.9

* Thu Mar 18 2021 neoclust <neoclust> 1.15.0-3.mga9
+ Revision: 1704423
- Rebuild against python 3.9

* Sun Mar 14 2021 wally <wally> 1.15.0-2.mga9
+ Revision: 1702596
- rebuild for new python 3.9

* Thu Sep 17 2020 guillomovitch <guillomovitch> 1.15.0-1.mga8
+ Revision: 1627460
- new version 1.15.0

* Sun Mar 29 2020 wally <wally> 1.14.0-1.mga8
+ Revision: 1562173
- new version 1.14.0

* Tue Feb 18 2020 umeabot <umeabot> 1.13.0-2.mga8
+ Revision: 1538419
- Mageia 8 Mass Rebuild

* Wed Nov 20 2019 daviddavid <daviddavid> 1.13.0-1.mga8
+ Revision: 1461839
- new version: 1.13.0

* Wed Sep 04 2019 wally <wally> 1.12.0-6.mga8
+ Revision: 1437159
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 1.12.0-5.mga8
+ Revision: 1436793
- rebuild for python3.8
- disable tests for rebuild

* Fri Aug 30 2019 wally <wally> 1.12.0-4.mga8
+ Revision: 1435752
- drop python2 support
- enable tests again

* Sun Jan 13 2019 wally <wally> 1.12.0-3.mga7
+ Revision: 1355873
- don't own python3's __pycache__ dir

* Sat Jan 05 2019 wally <wally> 1.12.0-2.mga7
+ Revision: 1349270
- rebuild for python3.7

* Tue Jan 01 2019 wally <wally> 1.12.0-1.mga7
+ Revision: 1348197
- new version 1.12.0

* Thu Sep 20 2018 umeabot <umeabot> 1.11.0-3.mga7
+ Revision: 1290029
- Mageia 7 Mass Rebuild

* Wed Mar 21 2018 kekepower <kekepower> 1.11.0-2.mga7
+ Revision: 1211144
- Use python_provide
- Use python[2,3]dist

* Thu Feb 01 2018 daviddavid <daviddavid> 1.11.0-1.mga7
+ Revision: 1198380
- new version: 1.11.0
- rename python-six to python2-six

* Thu Aug 03 2017 philippem <philippem> 1.10.0-3.mga7
+ Revision: 1134370
- disable test for Py3
- rebuild for Python 3.6

* Sun Jan 08 2017 daviddavid <daviddavid> 1.10.0-2.mga6
+ Revision: 1080665
- rebuild against python(3)-pytest

* Thu Dec 17 2015 daviddavid <daviddavid> 1.10.0-1.mga6
+ Revision: 911290
- new version: 1.10.0
- improve tests in %%check section

* Wed Oct 07 2015 tv <tv> 1.9.0-2.mga6
+ Revision: 886955
- disable python3 testsuite
- rebuild for python 3.5
+ daviddavid <daviddavid>
- use new python macros

* Sun Aug 30 2015 fwang <fwang> 1.9.0-1.mga6
+ Revision: 871280
- 1.9.0

* Wed Oct 15 2014 umeabot <umeabot> 1.7.3-4.mga5
+ Revision: 744504
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.3-3.mga5
+ Revision: 727912
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.3-2.mga5
+ Revision: 688336
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 philippem <philippem> 1.7.3-1.mga5
+ Revision: 674116
- update to 1.7.3

* Sat May 31 2014 pterjan <pterjan> 1.6.1-2.mga5
+ Revision: 629015
- Rebuild for new Python

* Sun Mar 30 2014 kharec <kharec> 1.6.1-1.mga5
+ Revision: 610679
- forget to add file
- update to 1.6.1 to fix keystone client installation

* Tue Oct 22 2013 umeabot <umeabot> 1.4.1-3.mga4
+ Revision: 544150
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.1-2.mga4
+ Revision: 499384
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 fwang <fwang> 1.4.1-1.mga4
+ Revision: 490201
- new version 1.4.1

* Sat Jun 08 2013 fwang <fwang> 1.3.0-2.mga4
+ Revision: 440593
- add more br
- build python3 flavour

* Sat Jun 08 2013 fwang <fwang> 1.3.0-1.mga4
+ Revision: 440426
- imported package python-six

